Debian Bug report logs - #440238
provide option for mountroot() to not hide the output

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Jim Paris <jim@jtan.com>

Date: Thu, 30 Aug 2007 20:39:01 UTC

Severity: wishlist

Fixed in version live-initramfs/1.132.1-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#440238; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to Jim Paris <jim@jtan.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jim Paris <jim@jtan.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: provide option for mountroot() to not hide the output
Date: Thu, 30 Aug 2007 16:37:02 -0400
Package: live-initramfs
Severity: wishlist

mountroot() hides all output from the screen by redirecting
stdout/stderr to live.log.

To me this is undesirable, as it both hides error messages during
boot, and causes a long delay where the system appears frozen 
(while the scripts in live-bottom are executed).

Maybe this could use something like bootlogd instead, so the output
can be both seen and logged?  Or at least made configurable, so 
the redirection can be turned off?

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.20.4 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#440238; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to "Michal Suchanek" <michal.suchanek@ruk.cuni.cz>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 440238@bugs.debian.org (full text, mbox):

From: "Michal Suchanek" <michal.suchanek@ruk.cuni.cz>
To: Debian Bug Tracking System <440238@bugs.debian.org>
Subject: live-initramfs: mountroot messages
Date: Wed, 19 Dec 2007 14:13:28 +0100
Package: live-initramfs
Followup-For: Bug #440238


This is not wishlist, this is a bug. The mountrroot hides error messages
from critical part of boot process that is most likely to fail.

The patch to fix this is trivial:

--- usr/share/initramfs-tools/scripts/live~     2007-11-18 17:21:41.000000000 +0100
+++ usr/share/initramfs-tools/scripts/live      2007-12-19 12:22:57.000000000 +0100
@@ -1220,6 +1220,8 @@
        exec 7>&2
        exec > live.log
        exec 2>&1
+        tail -f live.log >&7 &
+        tailpid=$!

        Arguments

@@ -1297,5 +1299,6 @@

        exec 1>&6 6>&-
        exec 2>&7 7>&-
+        kill $tailpid
        cp live.log "${rootmnt}/var/log/"
 }



-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.23.3-src (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jim Paris <jim@jtan.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 440238-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 440238-close@bugs.debian.org
Subject: Bug#440238: fixed in live-initramfs 1.132.1-1
Date: Wed, 04 Jun 2008 07:17:04 +0000
Source: live-initramfs
Source-Version: 1.132.1-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.132.1-1.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.132.1-1.diff.gz
live-initramfs_1.132.1-1.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.132.1-1.dsc
live-initramfs_1.132.1-1_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.132.1-1_all.deb
live-initramfs_1.132.1.orig.tar.gz
  to pool/main/l/live-initramfs/live-initramfs_1.132.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 440238@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 02 Jun 2008 00:00:00 +0200
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.132.1-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 440238 475783
Changes: 
 live-initramfs (1.132.1-1) unstable; urgency=medium
 .
   [ Chris Lamb ]
   * Don't escape asterisks in languagelist update code
 .
   [ Daniel Baumann ]
   * Updating copyright header in live-snapshot.
   * Removing useless whitespaces and empty lines.
   * Correcting grammatical errors in live-snapshot description.
   * Removing live-snapshot version as this component is always released
     within live-initramfs itself.
   * Adding Michal Suchanek <hramrach@centrum.cz> to credits file.
   * Merging casper 1.132.
   * Merging casper 1.131.
   * Ignoring floppy devices for live filesystem as well as live
     persistency.
   * Adding patch from Michal Suchanek <hramrach@centrum.cz> to tail
     live.log and show its messages during boot (Closes: #440238).
   * Updating vcs fields in control file.
   * Handling conflicting klibc includes with initramfs-hooks of other
     packages (Closes: 475783).
 .
   [ Marco Amadori ]
   * Fixes "live-snapshot on reboot could not find a writable '/tmp' or
     '/mnt'" bug.
   * Calling live-snapshot now produces an output file.
 .
   [ Michal Suchanek ]
   * Workaround loop-aes-utils losetup incompatibility
   * Fix toram (change mount --move to mount -o move)
Checksums-Sha1: 
 4e81fb59d9594382dfbc6882a10c818297f3667b 1286 live-initramfs_1.132.1-1.dsc
 311dee8d4ab650c6dadb869f44cbc7d616764c13 71514 live-initramfs_1.132.1.orig.tar.gz
 f3981a85fe3d0136cd240c8b9f1ff4adbee4267f 6790 live-initramfs_1.132.1-1.diff.gz
 41b325eace9de57289dfbadefbe5cf3c9b5dab6d 74596 live-initramfs_1.132.1-1_all.deb
Checksums-Sha256: 
 412e880946c94739ef575ca931d511b270a6b1934c194293a9c20afe79f91d26 1286 live-initramfs_1.132.1-1.dsc
 37c791a1e0e5bb9844218c75868217af612422a17f26129d973a19c3f484f216 71514 live-initramfs_1.132.1.orig.tar.gz
 5bf332a554d138bb554527db706cbda29313190d826fae75817fa6425bd656a4 6790 live-initramfs_1.132.1-1.diff.gz
 6058a961dade22764ba8777d593c4154091fa1d12bfc65932ad05cddaae9dfcb 74596 live-initramfs_1.132.1-1_all.deb
Files: 
 788e93a7a95eaa915e5b26f80876178d 1286 misc optional live-initramfs_1.132.1-1.dsc
 c6a9416fb6d9b2317c53187db6786698 71514 misc optional live-initramfs_1.132.1.orig.tar.gz
 81ab1179dcc6e0f01e06933c83feb144 6790 misc optional live-initramfs_1.132.1-1.diff.gz
 f156891a84d88dd579b25ba7969303d0 74596 misc optional live-initramfs_1.132.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIRkAq+C5cwEsrK54RAu9yAJsEFe5p0IKuITBM7iWYjqSd7g7X+wCg00YT
SFh2DI4GCCW6u314x2+yMOs=
=LPkA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 Jul 2008 07:31:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:01:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.